Crux: BRE/WFE - Task #17893

WSC: realmsliceNew()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Tushar Bhingare % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Sprint 15 Mar

Description

Related issues:

Copied to Crux: BRE/WFE - Task #17962: WSC: realmsliceApps() Closed 15/03/2024

Associated revisions

Revision 04d4b704 - 13/03/2024 04:17 PM - Tushar Bhingare
#17893 add realmSliceNew() wsc

Revision 3d8e4a8e - 13/03/2024 04:18 PM - Tushar Bhingare
Merge pull request #125 from remiges-Tushar/wsc
refs: #17893 add realmSliceNew() wsc

Revision efdfba89 - 13/03/2024 06:52 PM - Tushar Bhingare

refs: #17893 add unit test cases for RealmSliceNew() using testContainer

Revision 9¢42673e - 13/03/2024 06:54 PM - Tushar Bhingare

refs: #17893 add unit test cases for RealmSliceNew() using testContainer

Revision 648cf3cc - 13/03/2024 06:59 PM - Tushar Bhingare
Merge pull request #126 from remiges-Tushar/wsc
refs: #17893 add unit test cases for RealmSliceNew() using testContainer

Revision 00f025db - 14/03/2024 12:28 AM - Tushar Bhingare
refs: #17893 handled nullable field in SQL query

Revision 0d93ea5a - 14/03/2024 12:29 AM - Tushar Bhingare

Merge pull request #128 from remiges-Tushar/wsc

refs: #17893 handled nullable field in SQL query

History

#1 - 17/02/2024 05:03 PM - Shuvam Misra

- Target version set to Sprint 15 Mar

#2 - 18/02/2024 02:57 AM - Shuvam Misra
- Copied to Task #17962: WSC: realmsliceApps() added

#3 - 13/03/2024 10:33 AM - Tushar Bhingare
- Assignee set to Tushar Bhingare

- Status changed from New to In Progress

#4 - 13/03/2024 07:07 PM - Tushar Bhingare
- % Done changed from 0 to 90

29/04/2025
- Status changed from In Progress to Testing

write wsc for realmsliceNew() Creates a new slice of a realm in caller's realm.
if copy is specified and belongs to the same realm, then it will make a complete copy of all schema and rulesets from the source slice.
If app is specified, then instead of a complete copy, all schema of only the listed apps, and all rulesets associated with those schema, will be copied.

write automated test cases using test container

#5 - 15/03/2024 05:31 PM - Tushar Bhingare
- % Done changed from 90 to 100

- Status changed from Testing to Closed
